Wpcl.InstantiateClass("Authorization", function Google() {
    var that = this;

    var user = {};
    user.email  = "";
    user.sub    = "";
    user.name   = "";
    user.image  = "";

    var tokenID     = null;
    var accessToken = null;

    this.webClientId = Wpcl.settings.cert.webClientID;

    this.__defineGetter__("tokenID", function() { return tokenID; });
    this.__defineGetter__("accessToken", function() { return accessToken; });
    this.__defineGetter__("userEmail", function() { return user.email; });
    this.__defineGetter__("userID", function() { return user.sub; });
    this.__defineGetter__("userName", function() { return user.name; });
    this.__defineGetter__("userImage", function() { return user.image; });

    //  
    this.Auth = function (offline, callbackDone, callbackError)
    {
        window.plugins.googleplus.login(
            {
                "webClientId": that.webClientId,
                "offline": ((offline === true) ? true : false)
            },
            function (obj) {
                tokenID = obj.idToken;
                accessToken = obj.oauthToken;
                user.email = obj.email;
                user.sub = obj.userId;
                user.name = obj.displayName;
                user.image = obj.imageUrl;

                callbackDone(tokenID || accessToken);
            },
            function (msg) {
                callbackError();
            }
        );
    };
});