var IAds = {};
(function () {
    var that = this;

    function init()
    {
        P_InitIADSPlugin();
        that.prepareInterstitial();
    };


    function P_InitIADSPlugin()
    {
        if(!window['AdMob']) return;
        AdMob.setOptions({
            isTesting: false,
            autoShow: false,
            adSize: AdMob.AD_SIZE.SMART_BANNER,
        });
    }

    this.prepareInterstitial = function () {
        if(!window['AdMob'])  return;
        AdMob.prepareInterstitial( {adId: Wpcl.settings.ads.admob.interstitial, autoShow: false} );
    };

    this.showInterstitial = function() {
        if(!window['AdMob'])  return;
        AdMob.showInterstitial();
        that.prepareInterstitial();
    };

    this.showBanner = function() {
        if(!window['AdMob'])  return;
        AdMob.createBanner({
            adId: Wpcl.settings.ads.admob.banner,
            position: AdMob.AD_POSITION.TOP_CENTER,
            autoShow: true
        });
    };

    this.hideBanner = function() {
        if(!window['AdMob'])  return;
        AdMob.hideBanner();
    };

    init();
}).apply(IAds);