Wpcl.InstantiateClass("", function Math()
{
    var that = this;
    var ranges = [];
    var suffixsArray = ['', 'K', 'M', 'B', 'T', 'q', 'Q', 's', 'S', 'O', 'N', 'd', 'U', 'D', '!', '@', '#', '$', '%', '^', '&', '*', 'I', 'P', 'F', 'G', 'X', 'C', 'V', 'L', 'W'];
    var expList = {};
    var inifintyExp = new Involution('INF', 100);
    bindExps();
    FillRanges();

    var m_exp, m_value, m_del;

    this.AttachSuffix = function(value, fixed, isCeil)
    {
        if(value >= 1)
        {
            for (var i in ranges)
            {
                if (value >= ranges[i].value)
                {
                    value = value / ranges[i].value;
                    value = value.toFixed(typeof fixed !== 'number' ? 2 : fixed);
                    value = value + ranges[i].suffix;
                    break;
                }
            }
        }
        else
        {
            value = value + suffixsArray[0];
        }

        if(!!isCeil) value = Math.ceil(value);
        return value.toString();
    };

    function FillRanges()
    {
        for(var i = 0; i < suffixsArray.length; i++)
        {
            ranges.push(new Involution(suffixsArray[i], i * 3));
        }
        ranges.reverse();
    }

    function bindExps() {
        for(var i = 0; i < suffixsArray.length; i++)
            new Involution(suffixsArray[i], i * 3);
    }

    function Involution(p, e) {

        this.value  = window.Math.pow(10, e);
        this.suffix = p;

        expList[e] = this;
    }
});