(function() {
    var templatePopupPath = NovaEngine.System.Directory.Combine("scripts/Game/Lib/Popup/Wait", "Resources", "Wait.html");
    var stylePopupPath = NovaEngine.System.Directory.Combine("scripts/Game/Lib/Popup/Wait", "Resources", "Wait.css");

    NovaEngine.System.FileManager.Queue.AddFirst(templatePopupPath);
    NovaEngine.System.FileManager.Queue.AddFirst(stylePopupPath);

    Wpcl.InstantiateFunction("Popup", function Wait()
    {
        var template = NovaEngine.System.FileManager.GetCachedFile(templatePopupPath).value;

        var element = document.createElement("div");
        element.innerHTML = template;
        element = element.firstChild;

        var layer = new HtmlLayer(element);
        NovaEngine.HtmlDocument.HtmlPopup.call(this, layer);

        this.SetBackgroundAnimation("novaengine-popup-wait-body-in", 0.5, "forwards", "ease-in-out");

        delete this.RemoveDelay;

        var cRemove = this.Remove;
        this.Remove = function()
        {
            this.SetBackgroundAnimation("novaengine-popup-wait-body-out", 0.5, "forwards", "ease-in-out");
            setTimeout(cRemove, 500);
        }
    });
})();