var quality = {};

// 000000 - Default Quality
quality.colors = ["000000", "B0C3D9","5E98D9","4B69FF", "8847FF","D32CE6","EB4B4B","E4AE39"];
quality.colors.default = quality.colors[0];

//
quality.names = ["default", "consumer","industrial","mil-spec","restricted","classified","covert","gold"];
quality.names.default = quality.names[0];

/*       */
quality.colorToName = function(color)
{
    var index = quality.colors.indexOf(color.toUpperCase());

    if(!~index) return undefined;
    return quality.names[index];
};

/*      */
quality.nameToColor = function(name)
{
    var index = quality.names.indexOf(name.toLowerCase());

    if(!~index) return undefined;
    return quality.colors[index];
};

quality.colorToImage = function(color)
{
    var index = quality.colors.indexOf(color.toUpperCase());
    if(!~index) return undefined;

    return NovaEngine.System.Directory.Combine("resources/inventory/blur/", quality.colors[index] + ".webp");
};