(function() {
    var templatePath = NovaEngine.System.Directory.Combine("scripts/Game/Lib/Windows/Auth", "Resources", "ActionButton.html");
    NovaEngine.System.FileManager.Queue.AddFirst(templatePath);

    Wpcl.InstantiateFunction("Windows", function AuthActionButton(layer, title, callback)
    {
        var tmpl = NovaEngine.System.FileManager.GetCachedFile(templatePath).value;
        var layout = new HtmlLayer(tmpl);
        layer.GetBindedElement("actions.list").appendChild(layout.element);

        P_SetTitle(title);
        P_AddClickEventListener(callback);

        this.SetTitle = function(title)
        {
            P_SetTitle(title);
        };

        this.Remove = function()
        {
            var parent = layout.element.parentNode;
            if(parent) parent.removeChild(layout.element);
        };

        function P_AddClickEventListener(callback)
        {
            layout.element.OnTouchClick(callback);
        }

        function P_SetTitle(value)
        {
            layout.GetBindedElement("title").innerHTML = value;
        }
    });
})();