var HtmlElementPool = DeclareClass(function (element) {
    var parent = null;

    this.__defineGetter__("element", function() { return element; });
    this.__defineGetter__("parent", function () { return parent; });

    this.SetActive = function(flag)
    {
        if(flag) P_EnableElement();
        else P_DisableElement();
    };

    function P_DisableElement()
    {
        if(!element.parentElement) return;

        parent = element.parentElement;
        parent.removeChild(element);
    }

    function P_EnableElement()
    {
        if(!parent || element.parentElement) return;
        parent.appendChild(element);
    }
});