var currency = {};
currency.code = {};
currency.code.money  = 0xA1;
currency.code.key    = 0xA2;
currency.code.credits = 0xA3;

currency.codeToName = function (code)
{
    switch (code)
    {
        case currency.code.money: return "money";
        case currency.code.key: return "key";
        case currency.code.credits: return "credits";
        case currency.code.cash: return "cash";
        default: return undefined;
    }
};

currency.codeToSymbol = function (code)
{
    switch (code)
    {
        case currency.code.money: return "$";
        case currency.code.key: return "k";
        case currency.code.credits: return "<a class='currency' style='background-image: url(resources/currency/credit.webp)'></a>";
        default: return undefined;
    }
};

NovaEngine.System.Enum("CURRENCY_TYPE", {"MONEY": 1, "KEYS": 2});

Wpcl.InstantiateClass("", function Currency()
{
    this.ToString = function(type)
    {
        switch(type)
        {
            case CURRENCY_TYPE.MONEY: return "money";
            case CURRENCY_TYPE.KEYS:  return "keys";
            default: return "unknown";
        }
    };

});