Wpcl.InstantiateClass("Package", function Language()
{
    var storageLangID = new NovaEngine.System.Storage.LocalStorageItem("lang.pack.id", LOCAL_STORAGE_ITEM_VALUE_TYPE.STRING);
    var defaultLangPackID = "en";

    //    
    if(!storageLangID.value)
    {
        //   
        P_LoadDefaultLanguagePackage()
    }

    //   
    else
    {
        //    
        NovaEngine.System.FileManager.Queue.AddFirst("LanguagePackages/" + storageLangID.value + ".json", function(file) {

            //    
            if(file.isLoaded)
            {
                languagePackage = JSON.parse(file.value);
            }
            //   
            else P_LoadDefaultLanguagePackage();
        });
    }

    var languagePackage = {};

    this.__defineGetter__("languageID", function() { return storageLangID.value; });
    this.__defineSetter__("languageID", function(value) { storageLangID.value = value; });

    this.Get = function(key)
    {
        return languagePackage[key] || "<unknown>";
    };

    function P_LoadDefaultLanguagePackage()
    {
        NovaEngine.System.FileManager.Queue.AddFirst("LanguagePackages/" + defaultLangPackID + ".json", function(file) {
            languagePackage = JSON.parse(file.value);
            storageLangID.value = defaultLangPackID;
        });
    }
});

function LP(id)
{
    return Wpcl.Package.Language.Get(id);
}