Wpcl.InstantiateClass("", function Player()
{
    var autosaveTime = 60;
    var incomeTime = 1;

    var that = this;

    var expIters = 0,
        expMaxIters = 20;

    // Стартует Income
    var incomeInterval = undefined;
    this.runIncome = function () {
        incomeInterval = setInterval(P_IncomeAction, incomeTime * 1000);
    };

    this.Click   = new NovaEngine.System.Value('click',    1, LOCAL_STORAGE_ITEM_VALUE_TYPE.INT, false,  false,  true, autosaveTime);
    this.Income  = new NovaEngine.System.Value('income',   0, LOCAL_STORAGE_ITEM_VALUE_TYPE.INT, false,  false,  true, autosaveTime);
    this.Credits = new NovaEngine.System.Value('credits',  0, LOCAL_STORAGE_ITEM_VALUE_TYPE.INT, true,   true,   true, autosaveTime);
    this.Cash    = new NovaEngine.System.Value('cash',     0, LOCAL_STORAGE_ITEM_VALUE_TYPE.INT, true,   false,  true, autosaveTime);

    this.weapons = new NovaEngine.System.Storage.DictionaryDynamic("player.weapons", "uwid");

    this.RecalculateStats = function() {
        var entities = Wpcl.windows.Game.entities.list;

        var click  = 1;
        var income = 0;

        for(var i in entities)
        {
            click  += entities[i].details.summaryClick  || 0;
            income += entities[i].details.summaryIncome || 0;
        }

        that.Click .Set(click);
        that.Income.Set(income);
    };

    this.ExecClick = function()
    {
        that.Credits.Inc(that.Click.Get());
        P_IncRankExp();
    };

    function P_IncRankExp()
    {
        if(expIters >= expMaxIters)
        {
            expIters = 0;
            Wpcl.Rank.Experience = 20;
        }
        else
        {
            expIters++;
        }
    }

    function P_IncomeAction()
    {
        that.Credits.Inc(that.Income.Get());
    }
});