(function() {
    var stylePath = NovaEngine.System.Directory.Combine("scripts/Game/Lib/Tutorial/Inventory", "Resources", "Inventory.css");
    var templatePath = NovaEngine.System.Directory.Combine("scripts/Game/Lib/Tutorial/Inventory", "Resources", "Inventory.html");

    NovaEngine.System.FileManager.Queue.AddFirst(stylePath);
    NovaEngine.System.FileManager.Queue.AddFirst(templatePath);

    Wpcl.InstantiateFunction("Tutorial", function Inventory() {
        var inventoryTutorialTemplate = NovaEngine.System.FileManager.GetCachedFile(templatePath).value;
        var layer = new HtmlLayer(inventoryTutorialTemplate);

        Wpcl.Tutorial.ITutorial.call(this, TUTORIAL_CLOSE_TYPE.TOUCH, layer);
        layer.GetBindedElement("tutorial.text").innerHTML = Wpcl.Package.Language.Get("tutorial.inventory.description");
    });
})();