var HtmlLayer = DeclareClass(function (element) {
    var that = this;

    if(typeof element == "string")
        element = NovaEngine.HtmlDocument.HtmlLayerUtility.StringToHtml(element);

    var binds = NovaEngine.HtmlDocument.HtmlLayerUtility.GetBindsInElement(element);
    var pool  = new HtmlElementPool(element);

    this.SetActive = pool.SetActive;
    this.__defineGetter__("element", function() { return element; });
    this.__defineGetter__("attached", function() { return !!element.parentElement; });

    this.Show = this.show = function()
    {
        that.SetActive(true);
    };

    this.Hide = this.hide = function()
    {
        that.SetActive(false);
    };

    this.GetBindedElement = this.getBind= function(id)
    {
        binds[id] = binds[id] || NovaEngine.HtmlDocument.HtmlLayerUtility.FindBindInElement(element, id);
        return binds[id];
    };
});