NovaEngine.InstantiateClass("HtmlDocument", function HtmlLayerUtility()
{
    var bindTag = "bind-id";

    this.StringToHtml = function(str)
    {
        var element = document.createElement("div");
        element.innerHTML = str;
        return element.firstChild;
    };

    this.GetBindsInElement = function(element)
    {
        var allElements = element.getElementsByTagName('*');
        var binds = {};
        var bindValue;

        for(var i = 0; i < allElements.length; i++)
        {
            bindValue = allElements[i].getAttribute('bind-id');

            if(!!bindValue && bindValue.length > 0)
            {
                binds[bindValue] = allElements[i];
            }
        }

        return binds;
    };

    this.FindBindInElement = function(element, id)
    {
        var allElements = element.getElementsByTagName('*');

        for(var i = 0; i < allElements.length; i++)
        {
            if(allElements[i].getAttribute('bind-id') === id)
            {
                binds[i] = allElements[i];
                return allElements[i];
            }
        }
    };
});