NovaEngine.InstantiateFunction("HtmlDocument", function HtmlWindow(layer)
{
    if(!HtmlLayer.prototype.isPrototypeOf(layer))
    {
        console.error("Can't Create HtmlWindow. Arg layer is not HtmlLayer type");
        return null;
    }

    var that = this;
    var onOpenEvents  = [],
        onCloseEvents = [];

    this.layer = layer;
    this.Show  = function () {
        layer.Show();
        that.DispatchOnOpenEvents();
    };
    this.Hide  = function () {
        layer.Hide();
        that.DispatchOnCloseEvents();
    };

    this.OnOpen = function (callback)
    {
        if(Function.prototype.isPrototypeOf(callback))
        {
            onOpenEvents.push(callback);
        }
    };

    this.OnClose = function (callback)
    {
        if(Function.prototype.isPrototypeOf(callback))
        {
            onCloseEvents.push(callback);
        }
    };

    this.DispatchOnCloseEvents = function()
    {
        for(var event in onCloseEvents) onCloseEvents[event]();
    };

    this.DispatchOnOpenEvents = function()
    {
        for(var event in onOpenEvents) onOpenEvents[event]();
    };
});