NovaEngine.InstantiateFunction("HtmlDocument", function HtmlWindowsAssociator()
{
    var windows = [];

    this.AddWindow = function(window)
    {
        if(!NovaEngine.HtmlDocument.HtmlWindow.prototype.isPrototypeOf(window))
        {
            console.error("Can't Add HtmlWindow. Arg window is not HtmlWindow type");
            return null;
        }

        if(!~windows.indexOf(window))
        {
            windows.push(window);

            window._WindowAssociatorBackupFunctionShow = window.Show;
            window._WindowAssociatorBackupFunctionHide = window.Hide;
            window.Show = function()
            {
                for(var win in windows)
                {
                    if(windows[win] != window)
                    {
                        if(windows[win].layer.attached)
                        {
                            windows[win]._WindowAssociatorBackupFunctionHide();
                        }
                    }
                    else
                    {
                        windows[win]._WindowAssociatorBackupFunctionShow();
                    }
                }
            };
        }
    };
});