NovaEngine.InstantiateClass("System", function Waterfall() {
    this.Create = function(actions, errorAction) {

        //
        Execute(0, true, null);

        //
        function Execute(index, status, data) {

            // Если предыдущее действие завершилось с ошибкой,
            // Выходим
            if(status === false) {

                // Куллбек ошибки выполнения
                return errorAction ? errorAction(index) : null;

            }

            // Действия закончились
            if(!actions[index]) return;

            // Вызываем текущее действие
            actions[index](Execute.bind(null, index + 1), data);

        }

    }
});